Subject: Re: [RFC]: map 4K iommu pages even on 64K largepage systems.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 24 Oct 2006 12:23:59 +1000

> This is a step in the right direction.  Cell allows each device to
> have its own io pagesize, from among those that the io controller
> supports (4k, 64k, 1m,16m).  This limitation of the current iommu
> code that you try to address here has caused me to use platform
> specific dma alloc routines.

Are devices -actually- using different page sizes ? AFAIK, for your
platform, you are using a 4k base page size, thus there is very little
point (in fact, it's more like a problem) to have an IO mapping using
larger page sizes.

In any case, read my reply to Linas, I'm proposing a scheme where each
iommu_table instance could have its own page size, in which case you can
just create a table instance per device.

Ben.